# socket_sendmsg

(PHP 5 >= 5.5.0, PHP 7)

socket_sendmsg — Send a message

### Description

socket_sendmsg ( resource `$socket` , array `$message` [, int `$flags` = 0 ] ) : int

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`socket`

`message`

`flags`

### Return Values

Returns the number of bytes sent, or `FALSE` on failure.

### See Also

- socket_recvmsg() - Read a message
- socket_cmsg_space() - Calculate message buffer size